From 87b5fceaeb9667c47504637462f0b5944661e5fd Mon Sep 17 00:00:00 2001
From: Jason Zaman <jason@perfinion.com>
Date: Wed, 11 Sep 2019 12:08:34 +0800
Subject: [PATCH 01/12] WORKSPACE: add rules-docker http_archive,
 bazel-toolchains uses git_repo

git_repository() rules cannot pull from --distdir and fail when building
without internet access. Use http_archive instead and pin the sha256
hash as well.

Signed-off-by: Jason Zaman <jason@perfinion.com>
---
 WORKSPACE | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/WORKSPACE b/WORKSPACE
index 1286ef9ac03..1a19e5f2e3d 100644
--- a/WORKSPACE
+++ b/WORKSPACE
@@ -1,5 +1,15 @@
 workspace(name = "org_tensorflow")
 
+load("@bazel_tools//tools/build_defs/repo:http.bzl", "http_archive")
+http_archive(
+    name = "io_bazel_rules_docker",
+    sha256 = "7d453450e1eb70e238eea6b31f4115607ec1200e91afea01c25f9804f37e39c8",
+    strip_prefix = "rules_docker-0.10.0",
+    urls = [
+        "https://github.com/bazelbuild/rules_docker/releases/download/v0.10.0/rules_docker-v0.10.0.tar.gz",
+    ],
+)
+
 # Initialize the TensorFlow repository and all dependencies.
 #
 # The cascade of load() statements and tf_workspace?() calls works around the
-- 
2.41.0

